#ifndef LIBKYBOARDINFO_H
#define LIBKYBOARDINFO_H

/**
 * @file libkyboard.h
 * @author liuyunhe (liuyunhe@kylinos.cn)
 * @brief 主板信息
 * @version 0.1
 * @date 2023-2-17
 * 
 * @copyright Copyright (c) 2021
 * @defgroup libkysdk-hardware
 * @{
 * 
 */

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * @brief 获取主板型号
 * 
 * @return const char* 主板型号，返回的字符串需要被 free 释放
 */
extern const char *kdk_board_get_name();

/**
 * @brief 获取主板生产日期
 * 
 * @return const char* 日期，返回的字符串需要被 free 释放
 */
extern const char *kdk_board_get_date();

/**
 * @brief 获取主板序列号
 * 
 * @return const char* 序列号，返回的字符串需要被 free 释放
 */
extern const char *kdk_board_get_serial();

/**
 * @brief 获取主板厂商
 * 
 * @return const char* 厂商名，返回的字符串需要被 free 释放
 */
extern const char *kdk_board_get_vendor();

/**
 * @brief 释放内存
 * 
 * @param info 本模块其他接口返回的字符串
 */
extern void kdk_board_free(char *info);

#ifdef __cplusplus
}
#endif

#endif

/**
 * \example kysdk-system/src/hardware/test/kyboard-test.c
 * 
 */